#ifndef PRAGMA_IFFPARSE_H
#define PRAGMA_IFFPARSE_H

/* "iffparse.library" */
/*------ Basic functions ------ */
#pragma amicall(_IFFParseBase, 0x1E, AllocIFF())
#pragma amicall(_IFFParseBase, 0x24, OpenIFF(a0,d0))
#pragma amicall(_IFFParseBase, 0x2A, ParseIFF(a0,d0))
#pragma amicall(_IFFParseBase, 0x30, CloseIFF(a0))
#pragma amicall(_IFFParseBase, 0x36, FreeIFF(a0))
/*------ Read/Write functions ------ */
#pragma amicall(_IFFParseBase, 0x3C, ReadChunkBytes(a0,a1,d0))
#pragma amicall(_IFFParseBase, 0x42, WriteChunkBytes(a0,a1,d0))
#pragma amicall(_IFFParseBase, 0x48, ReadChunkRecords(a0,a1,d0,d1))
#pragma amicall(_IFFParseBase, 0x4E, WriteChunkRecords(a0,a1,d0,d1))
/*------ Context entry/exit ------ */
#pragma amicall(_IFFParseBase, 0x54, PushChunk(a0,d0,d1,d2))
#pragma amicall(_IFFParseBase, 0x5A, PopChunk(a0))
/*--- (1 function slot reserved here) --- */
/*------ Low-level handler installation ------ */
#pragma amicall(_IFFParseBase, 0x66, EntryHandler(a0,d0,d1,d2,a1))
#pragma amicall(_IFFParseBase, 0x6C, ExitHandler(a0,d0,d1,d2,a1))
/*------ Built-in chunk/property handlers ------ */
#pragma amicall(_IFFParseBase, 0x72, PropChunk(a0,d0,d1))
#pragma amicall(_IFFParseBase, 0x78, PropChunks(a0,a1,d0))
#pragma amicall(_IFFParseBase, 0x7E, StopChunk(a0,d0,d1))
#pragma amicall(_IFFParseBase, 0x84, StopChunks(a0,a1,d0))
#pragma amicall(_IFFParseBase, 0x8A, CollectionChunk(a0,d0,d1))
#pragma amicall(_IFFParseBase, 0x90, CollectionChunks(a0,a1,d0))
#pragma amicall(_IFFParseBase, 0x96, StopOnExit(a0,d0,d1))
/*------ Context utilities ------ */
#pragma amicall(_IFFParseBase, 0x9C, FindProp(a0,d0,d1))
#pragma amicall(_IFFParseBase, 0xA2, FindCollection(a0,d0,d1))
#pragma amicall(_IFFParseBase, 0xA8, FindPropContext(a0))
#pragma amicall(_IFFParseBase, 0xAE, CurrentChunk(a0))
#pragma amicall(_IFFParseBase, 0xB4, ParentChunk(a0))
/*------ LocalContextItem support functions ------ */
#pragma amicall(_IFFParseBase, 0xBA, AllocLocalItem(d0,d1,d2,d3))
#pragma amicall(_IFFParseBase, 0xC0, LocalItemData(a0))
#pragma amicall(_IFFParseBase, 0xC6, SetLocalItemPurge(a0,a1))
#pragma amicall(_IFFParseBase, 0xCC, FreeLocalItem(a0))
#pragma amicall(_IFFParseBase, 0xD2, FindLocalItem(a0,d0,d1,d2))
#pragma amicall(_IFFParseBase, 0xD8, StoreLocalItem(a0,a1,d0))
#pragma amicall(_IFFParseBase, 0xDE, StoreItemInContext(a0,a1,a2))
/*------ IFFHandle initialization ------ */
#pragma amicall(_IFFParseBase, 0xE4, InitIFF(a0,d0,a1))
#pragma amicall(_IFFParseBase, 0xEA, InitIFFasDOS(a0))
#pragma amicall(_IFFParseBase, 0xF0, InitIFFasClip(a0))
/*------ Internal clipboard support ------ */
#pragma amicall(_IFFParseBase, 0xF6, OpenClipboard(d0))
#pragma amicall(_IFFParseBase, 0xFC, CloseClipboard(a0))
/*------ Miscellaneous ------ */
#pragma amicall(_IFFParseBase, 0x102, GoodID(d0))
#pragma amicall(_IFFParseBase, 0x108, GoodType(d0))
#pragma amicall(_IFFParseBase, 0x10E, IDtoStr(d0,a0))

#endif /* PRAGMA_IFFPARSE_H */
